## NAME

d.barscale - Displays a barscale on the graphics monitor.

## KEYWORDS

display, cartography

## SYNOPSIS

d.barscale
d.barscale help
d.barscale [-mfltns] [bcolor=name] [tcolor=name] [at=x,y] [fontsize=integer] [--verbose] [--quiet]

### Flags:

-m
  Use mouse to interactively place scale
-f
  Use feet/miles instead of meters
-l
  Draw a line scale instead of a bar scale
-t
  Write text on top of the scale, not to the right
-n
  Draw a north arrow only
-s
  Draw a scale bar only
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

bcolor=name
  Background color
  Either a standard GRASS color, R:G:B triplet, or "none"
  Default: white
tcolor=name
  Text color
  Either a standard color name or R:G:B triplet
  Default: black
at=x,y
  Screen coordinates of the rectangle's top-left corner
  (0,0) is top-left of the display frame
  Options: 0-100
  Default: 0.0,0.0
fontsize=integer
  Font size
  Options: 1-72
  Default: 14

## DESCRIPTION

d.barscale displays a barscale on the graphics monitor using either the mouse or given screen coordinates. It can draw the scale in a couple of styles or simply draw a north arrow.

## NOTE

d.barscale will not work in Lat/Lon locations as the horizontal scale distance changes with latitude. Try d.grid instead.

The -l flag will always draw a north arrow and a line scale together; it is currently not possible to draw a line scale without a north arrow. Instead, the -s flag can be used to draw a barscale only.

## SEE ALSO

d.graph
d.grid
d.legend
d.measure
d.where
g.region

## AUTHOR

unknown.

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team